/*MIDIMIDIMIDIMIDIMIDIMIDIMIDIMIDIMIDIMIDIMIDIMIDIMIDIMIDIMIDIMIDIMIDI

                           P L A Y U M I D I
                  (/dev/umixiX.Y Direct MIDI Player)

   Copyright(C) 2014 Koine Yuusuke(koinec). All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:

 1. Redistributions of source code must retain the above copyright notice,
    this list of conditions and the following disclaimer.
 2. Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in the
    documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY Koine Yuusuke(koinec) ``AS IS'' AND ANY
EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED. IN NO EVENT SHALL Koine Yuusuke(koinec) OR CONTRIBUTORS BE
LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
OF THE POSSIBILITY OF SUCH DAMAGE.

MIDIMIDIMIDIMIDIMIDIMIDIMIDIMIDIMIDIMIDIMIDIMIDIMIDIMIDIMIDIMIDIMIDI*/


#define	DEFAULT_TEMPO			500000	/* Default tempo = 120 */
#define DEFAULT_MIN_SLEEP		2050    /* usec */
#define	DEFAULT_DEV_NAME		"umidi"	/* /dev/umidi*.* for FreeBSD */
#define	ICONV_PERMIT_ERRCOUNT	5		/* Ignore Error Count for iconv() convert error */
#define	MAX_UMIDI_PORT			4		/* Support for 16ch x 4port = 64Channel */
#define	MAX_LANGCODE_STRING		64		
#define	UMIDIDEV_RETRY_WRITE	3
#define	ENVNAME_LANG			"LANG"
#define MSLEEP_USLEEP_TIME		1000	/* This value is depended on OS */
#define MSLEEP_AJUST_COUNT		50
#define	MSLEEP_BUFWAIT_DIV		8

/* Follow defines is Enable "SUPPORT_ICONV" mode when building playumidi */
#define	DEFAULT_SMF_LANGCODE	"SHIFT_JISX0213"
#define	DEFAULT_TERM_LANGCODE	"EUC-JP"


/* EOF of config.h ***************************************************/
